<!-- Variables à portée module -->
<!-- UI pas mis à jour lors de changement -->
<script context="module">
		import { browser, dev } from '$app/env';

		// we don't need any JS on this page, though we'll load
		// it in dev so that we get hot module replacement...
		export const hydrate = dev;

		// ...but if the client-side router is already loaded
		// (i.e. we came here from elsewhere in the app), use it
		// export const router = browser;

		// since there's no dynamic data here, we can prerender
		// it so that it gets served as a static asset in prod
		// export const prerender = true;
</script>

<!-- Variables à portée composant -->
<!-- UI mis à jours lors de changement -->
<script>
	import { onMount } from 'svelte';
	import Partenaire from '../lib/partenaire.svelte'
	import Espece from '../lib/especes.svelte'
	import Partenaires from '../partenaires_data.js'
	import Especes from '../especes_data.js'
	import Details from '../lib/details.svelte'

	let Carousel; // for saving Carousel component class
	let carousel; // for calling methods of the carousel instance
	export let partenaires = [];
	export let especes = [];
	let pageIndex = 1

	Partenaires.subscribe(data => {
		partenaires = data;
	});

	Especes.subscribe(data => {
		especes = data
	});

	onMount(async () => {
		const module = await import('svelte-carousel');
		Carousel = module.default;
	});


</script>

<svelte:head>
		<title>Accueil Clinique du Vernais</title>
</svelte:head>

<div class="content">
	<h2 class="h4 font-weight-bold text-center mb-5 mt-0"> Espèces traitées </h2>
	<div class="images">
		{#each especes as espece}
			<div classe="img">  <Espece data={espece} /> </div>
		{/each} 
	</div>

	<svelte:component
		on:pageChange={ event => pageIndex = event.detail  }
	  	this={Carousel}
	  	bind:this={carousel}
	>

	{#each partenaires as partenaire}
		 <div> <Partenaire listPartenaires={partenaire} /> </div> 
	{/each}
	</svelte:component>
	<div>
		<Details data={partenaires[pageIndex]} />
	</div>
</div>

<style>

	.content {
		width: 100%;
		max-width: var(--column-width);
		margin: var(--column-margin-top) auto 0 auto;
		--primary-color: #4ab2f5;
		--secondary-color: #4ab2f5;
		--tertiary-color: #edf0f8;
		--accent-color: #4ab2f5;
		align-items: center;
	}

	div.images {

		display: flex;
	}



</style>
